pydo.databases.add()
Generated on 7 Jul 2026
from pydo version
v0.39.0
Usage
client.databases.add(
database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
body={
"name": "alpha",
},
)Description
To add a new database to an existing cluster, send a POST request to
/v2/databases/{database_cluster_uuid}/dbs.
Note: Database management is not supported for Caching or Valkey clusters.
The response will be a JSON object with a key called db. The value of this will be
an object that contains the standard attributes associated with a database.
Parameters
database_cluster_uuidstring requiredA unique identifier for a database cluster.
namestring requiredExample:
alphaThe name of the database.
Request Sample
Response Example
More Information
See /v2/databases/{database_cluster_uuid}/dbs in the API reference for additional detail on responses, headers, parameters, and more.